summaryrefslogtreecommitdiff
path: root/tests/demo.at
diff options
context:
space:
mode:
Diffstat (limited to 'tests/demo.at')
-rw-r--r--tests/demo.at26
1 files changed, 13 insertions, 13 deletions
diff --git a/tests/demo.at b/tests/demo.at
index c728374a..c86e1e91 100644
--- a/tests/demo.at
+++ b/tests/demo.at
@@ -316,7 +316,7 @@ int main ()
if (pnothing)
*pnothing = 1;
else
- fprintf (stderr, "did not find the `nothing' variable\n");
+ fprintf (stderr, "did not find the 'nothing' variable\n");
/* Just call the functions and check return values. */
if (pfoo)
@@ -325,7 +325,7 @@ int main ()
return 1;
}
else
- fprintf (stderr, "did not find the `foo' function\n");
+ fprintf (stderr, "did not find the 'foo' function\n");
if (phello)
{
@@ -333,7 +333,7 @@ int main ()
return 3;
}
else
- fprintf (stderr, "did not find the `hello' function\n");
+ fprintf (stderr, "did not find the 'hello' function\n");
return 0;
}
@@ -674,27 +674,27 @@ for file in hc-*; do
case $hardcoded in
yes)
if test yes = "$expected"; then
- echo "$objdir was hardcoded in \`$file', as libtool expected"
+ echo "$objdir was hardcoded in '$file', as libtool expected"
else
- echo "$objdir was hardcoded in \`$file', which fooled libtool" 1>&2
+ echo "$objdir was hardcoded in '$file', which fooled libtool" 1>&2
exit_status=1
fi
;;
no)
if test no = "$expected"; then
- echo "$objdir was not hardcoded in \`$file', as libtool expected"
+ echo "$objdir was not hardcoded in '$file', as libtool expected"
else
- echo "$objdir was not hardcoded in \`$file', which fooled libtool" 1>&2
+ echo "$objdir was not hardcoded in '$file', which fooled libtool" 1>&2
exit_status=1
fi
;;
unsupported)
if test unsupported = "$expected"; then
- echo "\`$file' was not linked properly, as libtool expected"
+ echo "'$file' was not linked properly, as libtool expected"
else
- echo "\`$file' was not linked properly, which fooled libtool" 1>&2
+ echo "'$file' was not linked properly, which fooled libtool" 1>&2
exit_status=1
fi
;;
@@ -723,7 +723,7 @@ eval `$EGREP '^library_names=' libhello.la`
AT_CHECK([test -n "$library_names" || (exit 77)])
func_save_files
-# AIX 5.3 `/bin/sh' will invoke the trap for 0 at the end of a
+# AIX 5.3 '/bin/sh' will invoke the trap for 0 at the end of a
# function, so we set the trap outside of a function to be portable.
trap func_restore_files 0 1 2 13 15
@@ -748,8 +748,8 @@ AT_CHECK([test -f libhello.la])
# Try running uninstalled ./hell with only broken libhello.la in build tree.
# If the following has normal exit status, shlibpath_overrides_runpath is
-# wrong, and should be set to `no' on this host.
-# The unusual `|| (exit 1)' is to normalize all non-zero exit statuses.
+# wrong, and should be set to 'no' on this host.
+# The unusual '|| (exit 1)' is to normalize all non-zero exit statuses.
LT_AT_CHECK([./hell || (exit 1)], 1, [ignore], [ignore])
test relink = "$hardcode_action" ||
@@ -760,7 +760,7 @@ test yes = "$shlibpath_overrides_runpath" ||
# Running demo/hell with installed libhello.la.
# If the following check fails, then shlibpath_overrides_runpath is
- # wrong, and should be set to `yes' on this host.
+ # wrong, and should be set to 'yes' on this host.
LT_AT_CHECK([./hell], 0, [expout])
}